// pages/stock/stock.js
const $api = require('../../utils/api.js').API;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    name:'',
    id:'',
    stock_date:'',
    type:'',
    page:1,
    total:0,
    list:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      stock_date: options.date,
      type: options.type
    })
    if (options.id){
      this.setData({id:options.id})
      if(options.type == 2){
        $api.getSellStock({ id: options.id, stock_date: this.data.stock_date }).then(res => {
          this.setData({
            info: res.data.data
          })
          wx.setNavigationBarTitle({
            title: res.data.data.name,
          })
        })
      }else{
        $api.getStock({ id: options.id, stock_date: this.data.stock_date }).then(res => {
          this.setData({
            info: res.data.data
          })
          wx.setNavigationBarTitle({
            title: res.data.data.name,
          })
        })
      }
    }else{
      this.getData()
      
    }
    
  },
  inputChange(e) {
    this.setData({
      name: e.detail.value
    })
    this.getData()
  },
  search() {
    this.setData({
      total: 0,
      list:[],
      page:1
    })
    this.getData()
  },
  next: function () {
    if (this.data.list.length < this.data.total) {
      const page = this.data.page + 1
      this.setData({
        page: page
      })
      this.getData()
    }
  },
  getData(){
    wx.showNavigationBarLoading()
    var list = this.data.list;
    if(this.data.type == 1){
      $api.getHotbuyList({ name: this.data.name, stock_date: this.data.stock_date, page: this.data.page, page_size: 20}).then(res => {
        res.data.data.list.forEach(item => {
          list.push(item)
        })
        wx.hideNavigationBarLoading()
        this.setData({
          list: list,
          total: res.data.data.total
        })
      })
    }else{
      $api.getHotsellList({ name: this.data.name, stock_date: this.data.stock_date, page: this.data.page, page_size: 20 }).then(res => {
        res.data.data.list.forEach(item => {
          list.push(item)
        })
        wx.hideNavigationBarLoading()
        this.setData({
          list: list,
          total: res.data.data.total
        })
      })
    }
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})